Subject: Re: bug#18438: 24.4.50; assertion failed in bidi.c

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Oct 2014 16:37:00 +0200

> Date: Wed, 29 Oct 2014 08:15:41 -0400
> From: Ken Brown <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>
> 
> On 10/29/2014 12:30 AM, [email-masked] wrote:
> > I have had no Emacs crashes since updating to this Cygwin version two days ago
> > (with the same amount of use per day), so this bug seems to have been the
> > cause.  Let's see if the other users experiencing the bogus assertions stop
> > getting them after this fix makes it into the stable release.
> 
> Jon (bug#18769) has already reported on the Cygwin list that he is no longer 
> getting bogus assertion failures 
> (https://cygwin.com/ml/cygwin/2014-10/msg00485.html).  So I'm optimistic.

So am I, to a degree.

> Eli, thanks very much for all your help!

You are welcome.  But the real kudos go to those who found and fixed
the root cause of the problem.